## com.imcode.imcms.servlet.superadmin
Class LinkCheck.TextDocumentElementLink

    java.lang.Object
      com.imcode.imcms.servlet.superadmin.LinkCheck.Link
          com.imcode.imcms.servlet.superadmin.LinkCheck.TextDocumentElementLink

Direct Known Subclasses:
  LinkCheck.ImageLink, LinkCheck.TextLink

Enclosing class:
  LinkCheck

    public abstract static class LinkCheck.TextDocumentElementLink

extends LinkCheck.Link

Field Summary
`protected int` `index`
`protected TextDocumentDomainObject` `textDocument`
`protected java.lang.String` `url`

Constructor Summary
`LinkCheck.TextDocumentElementLink(TextDocumentDomainObject textDocument, int index, java.lang.String url, javax.servlet.http.HttpServletRequest request)`

Method Summary
`DocumentDomainObject` `getDocument()`
`int` `getIndex()`
`java.lang.String` `getUrl()`

Methods inherited from class com.imcode.imcms.servlet.superadmin.LinkCheck.Link
`fixSchemeLessUrl, isCheckable, isHostFound, isHostReachable, isOk`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### textDocument

    protected TextDocumentDomainObject textDocument

### index

    protected int index

### url

    protected java.lang.String url

Constructor Detail

### LinkCheck.TextDocumentElementLink

    public LinkCheck.TextDocumentElementLink(TextDocumentDomainObject textDocument,
                                             int index,
                                             java.lang.String url,
                                             javax.servlet.http.HttpServletRequest request)

Method Detail

### getUrl

    public java.lang.String getUrl()

  Specified by:
    `getUrl` in class `LinkCheck.Link`

### getIndex

    public int getIndex()

### getDocument

    public DocumentDomainObject getDocument()

  Specified by:
    `getDocument` in class `LinkCheck.Link`